Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class UseCollectManyRule

- groovy.org.codenarc.rule.groovyism.UseCollectManyRule

- In many case collectMany() yields the same result as collect{}.flatten. It is easier to understand and more clearly transports the purpose.

  Authors:
    Joachim Baumann

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static String` | `MESSAGE` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Field Detail

    - #### protected static final String MESSAGE

  - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority